#ifndef RUN_TICKS_CTRL_TEST_H
#define RUN_TICKS_CTRL_TEST_H

/*!
  \file
  \brief runTicksCtrl.cpp ‚ÌƒeƒXƒg
  
  \author Satofumi KAMIMURA
  
  $Id: RunTicksCtrlTest.h 286 2008-10-20 09:40:22Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>
#include "mRunCtrl.h"


class RunTicksCtrlTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE(RunTicksCtrlTest);
  CPPUNIT_TEST(getModuleTicksTest);
  CPPUNIT_TEST(adjustTicksTest);
  CPPUNIT_TEST_SUITE_END();

  mRunCtrl* run;

public:
  void setUp(void);
  void tearDown(void);
  void getModuleTicksTest(void);
  void adjustTicksTest(void);
};

#endif /* !RUN_TICKS_CTRL_TEST_H */
